%define anolis_release 3

%bcond_without libproxy

%define glib2_version 2.73.3

Name:           glib-networking
Version:        2.74.0
Release:        %{anolis_release}%{dist}
Summary:        Networking support for GLib

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/glib-networking
Source0:        https://download.gnome.org/sources/glib-networking/2.74/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson >= 0.60.0
BuildRequires:  systemd-rpm-macros ca-certificates gettext
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(glib-2.0) >= %{glib2_version} pkgconfig(gnutls) >= 3.7.4
%if %{with libproxy}
BuildRequires:  pkgconfig(libproxy-1.0) >= 0.4.16
%endif

Requires:       ca-certificates
Requires:       glib2 >= %{glib2_version}
Requires:       gsettings-desktop-schemas

Recommends:     libproxy-duktape

%description
Network-related giomodules for glib

glib-networking contains the implementations of certain GLib networking features
that cannot be implemented directly in GLib itself because of their
dependencies.

Currently it contains GnuTLS and OpenSSL-based implementations of GTlsBackend, 
a libproxy-based implementation of GProxyResolver, GLibproxyResolver,
and a GNOME GProxyResolver that uses the proxy information from the GSettings
schemas in gsettings-desktop-schemas.

%package tests
Summary: Tests for the glib-networking package
Requires: %{name} = %{EVR}

%description tests
The glib-networking-tests package contains tests that can be used to verify
the functionality of the installed glib-networking package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson \
%if %{without libproxy}
  -Dlibproxy=disabled \
%endif
  -Dinstalled_tests=true \
  %nil
%meson_build

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_libdir}/gio/modules/libgioenvironmentproxy.so
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{abidir}/libgioenvironmentproxy.dump
%{abidir}/mock-pkcs11.dump
%{abidir}/libgiognomeproxy.dump
%{abidir}/libgiognutls.dump
%if %{with libproxy}
%{_libdir}/gio/modules/libgiolibproxy.so
%{abidir}/libgiolibproxy.dump
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service
%endif

%files tests
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%files doc
%doc NEWS README

%changelog
* Fri Apr 14 2023 Heng Qi <hengqi@linux.alibaba.com> - 2.74.0-3
- Refactor the spec file

* Wed Feb 15 2023 Funda Wang <fundawang@yeah.net> - 2.74.0-2
- Prefer libproxy-duktape now

* Sat Jan 21 2023 Funda Wang <fundawang@yeah.net - 2.74.0-1
- New version 2.74.0

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.72.0-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 2.72.0-1
- Init package from upstream v2.72.0
